Bug 518483 - file chooser does not open the default selected file if the Location field is visible
Summary: file chooser does not open the default selected file if the Location field is...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gtk2
Version: 5.3
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Cosimo Cecchi
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 523657 647922 647923 648555
TreeView+ depends on / blocked
 
Reported: 2009-08-20 15:16 UTC by Jeff Bastian
Modified: 2018-11-14 19:52 UTC (History)
8 users (show)

Fixed In Version: gtk2-2.10.4-21.el5,gtk2-2.10.4-28.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 647922 (view as bug list)
Environment:
Last Closed: 2013-01-08 05:11:37 UTC


Attachments (Terms of Use)
patch for gtk file chooser (1.37 KB, patch)
2009-08-20 15:16 UTC, Jeff Bastian
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0135 normal SHIPPED_LIVE Low: gtk2 security and bug fix update 2013-01-08 09:44:52 UTC

Description Jeff Bastian 2009-08-20 15:16:44 UTC
Created attachment 358117 [details]
patch for gtk file chooser

Description of problem:
The GtkFileChooserDialog does not open the default selected file if the Location field is visible.

For example, if the Location field is hidden (as it is by default), and if a directory has 3 files named file1, file2, and file3, and you try to open a file in an application, file1 will be selected by default and you can simply hit Open in the file chooser dialog.  If, however, the Location field is showing, then file1 will be highlighted, but clicking Open does nothing.

Version-Release number of selected component (if applicable):
gtk2-2.10.4-20.el5

How reproducible:
every time

Steps to Reproduce:
1. Backup (if desired) and remove $HOME/.config/gtk-2.0/gtkfilechooser
2. mkdir /tmp/gtk
3. cd /tmp/gtk
4. touch file1 file2 file3
5. gedit
6. in gedit, hit CTRL-O to open a file
7. note that file1 is selected by default and hit ENTER to open it
8. hit CTRL-W to close file1
9. hit CTRL-O again to open a file
10. hit CTRL-L to open the Location field
11. hit ENTER and nothing happens
  
Actual results:
nothing happens: if the Location field is showing, the default selected file does not get opened

Expected results:
the default selected file should open regardless if the Location field is showing or not

Additional info:
Attached is a patch from Siddhesh Poyarekar <spoyarek@redhat.com> which was adapted from upstream
  http://svn.gnome.org/viewvc/gtk%2B?view=revision&revision=16039

Comment 3 RHEL Product and Program Management 2009-11-06 19:02:35 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 5 RHEL Product and Program Management 2010-08-09 19:10:52 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 7 Matthias Clasen 2010-10-27 16:17:05 UTC
I appears that the patch in bug 523657 is sufficient to fix this problem as well.

Comment 8 Siddhesh Poyarekar 2010-10-28 12:20:28 UTC
It is not. Just that patch results in the following error on console:

** (gedit:1459): CRITICAL **: open_dialog_response_cb: assertion `uris != NULL' failed

and the file does not open either.

Comment 10 Matthias Clasen 2010-11-01 15:37:35 UTC
I've built gtk2-2.10.4-21.el5 with the fix.

Comment 23 errata-xmlrpc 2013-01-08 05:11:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0135.html


Note You need to log in before you can comment on or make changes to this bug.